> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List documents

> List all AI documents



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /ai/documents/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /ai/documents/list:
    get:
      tags:
        - AI - Documents
      summary: List documents
      description: List all AI documents
      parameters:
        - in: query
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Document identifier.
          required: true
          description: Document identifier.
        - in: query
          name: limit
          schema:
            title: Limit
            description: Maximum number of documents to return.
            type: string
          description: Maximum number of documents to return.
        - in: query
          name: offset
          schema:
            title: Offset
            description: Number of documents to skip.
            type: string
          description: Number of documents to skip.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  documents:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        workspaceUuid:
                          type: string
                        userUuid:
                          type: string
                        title:
                          anyOf:
                            - type: string
                            - type: 'null'
                        content:
                          type: string
                        kind:
                          type: string
                          enum:
                            - text
                            - code
                            - sheet
                            - image
                        createdAt:
                          type: string
                        deletedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - uuid
                        - workspaceUuid
                        - userUuid
                        - title
                        - content
                        - kind
                        - createdAt
                        - deletedAt
                      additionalProperties: false
                    title: Documents
                    description: List of documents.
                required:
                  - documents
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````